<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: config/Config.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: config/Config.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DatabaseConfig_1 = require("./DatabaseConfig");
const LoggingConfig_1 = require("./LoggingConfig");
const ServerConfig_1 = require("./ServerConfig");
/**
 * Consolidates the configuration for the server, database and logging.
 * @class
 * @author Farooq Ilyas
 */
class Configs {
    /**
     * @constructor
     */
    constructor() {
        this.dbConfig = new DatabaseConfig_1.DBConfig();
        this.loggingConfig = LoggingConfig_1.loggingConfig.getLoggingConfig();
        this.serverConfig = ServerConfig_1.serverConfig.getServerConfig();
    }
    /**
     * Returns the database configuration
     * @returns {DatabaseConfig} JSON database configuration
     */
    getDatabaseConfig() {
        return this.dbConfig.DatabaseConfig();
    }
    /**
     * Returns the configuration for logging
     * @returns{LoggingConfig} JSON logging configuration
     */
    getLoggingConfig() {
        return this.loggingConfig;
    }
    /**
     * Returns the server configuration
     * @returns {ServerConfig} JSON server configuration
     */
    getServerConfig() {
        return this.serverConfig;
    }
}
exports.configs = new Configs();
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="BaseRouter.html">BaseRouter</a></li><li><a href="Configs.html">Configs</a></li><li><a href="CustomErrorHandler.html">CustomErrorHandler</a></li><li><a href="Database.html">Database</a></li><li><a href="DBConfig.html">DBConfig</a></li><li><a href="LoggingConfiguration.html">LoggingConfiguration</a></li><li><a href="Middleware.html">Middleware</a></li><li><a href="Server.html">Server</a></li><li><a href="ServerConfiguration.html">ServerConfiguration</a></li><li><a href="UserController.html">UserController</a></li><li><a href="UserModel.html">UserModel</a></li><li><a href="UserRouter.html">UserRouter</a></li><li><a href="UserService.html">UserService</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Jul 02 2018 23:16:09 GMT+0100 (GMT Daylight Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
